<html xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://xmlns.jcp.org/jsf/html"
  xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:cc="http://xmlns.jcp.org/jsf/composite" xmlns:ic="http://ivyteam.ch/jsf/component"
  xmlns:p="http://primefaces.org/ui">

<!--
In the interface it is possible to define view attributes like labels.
This attributes can be accessed by the el expression cc.attrs.attributeName.
-->
<cc:interface componentType="IvyComponent">
  <cc:attribute name="headerDialog" />
  <cc:attribute name="employeeDialog" />
  <cc:attribute name="isUpdateDialog" />
  <cc:attribute name="isProjectManager" />
  <cc:attribute name="actionListener" method-signature="void handleEvent(javax.faces.event.FacesEvent)" />
</cc:interface>
<cc:implementation>
 	<h2>#{cc.attrs.headerDialog}</h2>
 	<p:focus context="name"/>
 	<p:messages id="msgs"/>
	<div class="ui-g">
		<div class="ui-g-4">
	    	<p:outputLabel for="name" value="#{ivy.cms.co('/i18n/nameEmployeeTitle')}" />
	    </div>
	    <div class="ui-g-8">
	         <p:inputText 
	         value="#{cc.attrs.employeeDialog.name}" 
	         id="name" 
	         placeholder="Please enter name" 
	         required="true" 
	         readonly="#{cc.attrs.isProjectManager}" 
	         disabled="#{cc.attrs.isProjectManager}" />
	    </div>
	    <div class="ui-g-4">
	      	 <p:outputLabel for="age" value="#{ivy.cms.co('/i18n/ageEmployeeTitle')}" />
	    </div>
	    <div class="ui-g-8">
	         <p:inputNumber 
	         value="#{cc.attrs.employeeDialog.age}" 
	         decimalPlaces="0" 
	         id="age" 
	         placeholder="Please enter age" 
	         required="true" 
	         readonly="#{cc.attrs.isProjectManager}" 
	         disabled="#{cc.attrs.isProjectManager}" />
	    </div>
	    <div class="ui-g-4">
	      	 <p:outputLabel for="team" value="#{ivy.cms.co('/i18n/teamEmployeeTitle')}" />
	    </div>
	    <div class="ui-g-8">
	         <p:inputText 
	         value="#{cc.attrs.employeeDialog.team}" 
	         id="team" 
	         placeholder="Please enter team" 
	         required="true" 
	         readonly="#{cc.attrs.isProjectManager}" 
	         disabled="#{cc.attrs.isProjectManager}" />
	    </div>
	     <p:spacer width="10" height="10"/>
	    <div class="ui-g-12">
	    	<hr/>
	       	<div class="ui-g" style="float: right;">	
	       		<p:commandButton 
	       		value="#{ivy.cms.co('/i18n/submitBtnTitle')}" 
		        actionListener="#{cc.attrs.actionListener}" 
		        update="msgs" 
		        oncomplete="validateToHide(args, PF('employeeDialog'));" 
		        id="dialogSaveButton" 
		        style="float: right;" />
			    <p:spacer width="10" />
			    <p:commandButton 
			    value="#{ivy.cms.co('/i18n/cancelBtnTitle')}" 
			    process="@this" 
			    oncomplete="PF('employeeDialog').hide();" 
			    style="float: right;" />
	       	</div>
    	</div>
	</div>
<script>
  function validateToHide(args, dialog) {
    // args is a default primefaces parameter
    if (!args.validationFailed) {
      dialog.hide();
    }
  }
</script>
</cc:implementation>

</html>
